MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004609ATutorContentpublic2010-11-02 14:582011-08-18 13:04
Reporterharris 
Assigned Toharris 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.3 
Summary0004609: Add AT_FORMAT_QUOTES to AT_FORMAT_ALL in constants.inc.php
DescriptionWe should add AT_FORMAT_QUOTES to AT_FORMAT_ALL.

I am not sure why it's not included ever since the beginning of this file. Is there a reason why AT_FORMAT_QUOTES is not included in that AT_FORMAT_ALL bitwise string?

By adding the quotes in, all the output of AT_print will have quotes turned into htmlentities. I don't see a reason why it should not be included, comments?
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0004685closedharris Replace htmlentities_utf82() with htmlentities_utf8() for photos module 

-  Notes
(0004733)
harris (developer)
2010-11-02 15:00

Remember to change all AT_print() which uses htmlentities within. We have to remove htmlentities within those functions.

For future developments, AT_print() should be used for any output marked by its namespace in the constants.inc.php.
(0004812)
harris (developer)
2010-12-16 14:37

To be fixed in 2.1
(0004816)
harris (developer)
2010-12-17 10:59

Should wrap all output through AT_print() with the appropriate namespace in its 2nd parameter. Then we no longer need to use htlmentities() within AT_print().
(0004871)
harris (developer)
2011-01-07 14:26

mods/_core/backup/delete.php line46

removed htmlentities_utf8() from title, title is the filename which will not have the invalid chars.
(0004872)
harris (developer)
2011-01-07 16:41

replaced htmlentities_utf8() with AT_print on the following files:

backup/admin/edit.php
backup/admin/index.php
mods/_core/editor/editor_tabs/glossary.inc.php
include/lib/output.inc.php
mods/_core/editor/editor_tabs/edit.inc.php
mods/_core/editor/editor_tab_functions.inc.php
mods/_core/editor/edit_content.php
mods/_core/groups/create_automatic.php
mods/_core/groups/create_manual.php
mods/_core/groups/delete_group.php
mods/_core/groups/edit_group.php
mods/_core/groups/groups.php
mods/_core/groups/index.php
mods/_core/groups/members.php
(0004873)
harris (developer)
2011-01-07 17:02

adding a new field_formatting to constants,

$_field_formatting['input.text']= AT_FORMAT_QUOTES;

same idea as htmlentities_utf8() but more consistence across ATutor.
(0004874)
harris (developer)
2011-01-10 17:39

blogs/
faqs/
links/
polls/

*/sublinks.php
(0004883)
harris (developer)
2011-01-12 11:55

social/*
photos/
reading_list/delete_reading.php
reading_list/delete_resource.php
reading_list/delete_resources.php
reading_list/edit_reading_av.php
reading_list/edit_reading_book.php
reading_list/edit_reading_file.php
reading_list/edit_reading_handout.php
reading_list/edit_reading_url.php
themes/default/social/*
(0004886)
harris (developer)
2011-01-12 12:37

Disabled HTML in the following modules:

Polls
Reading List
Groups
Photo Album
Social

Admins can turn these options on by altering the bitwise flags in include/constants.inc.php: $_field_formation
(0004887)
harris (developer)
2011-01-12 13:00

svn: 10609
(0005175)
greg (administrator)
2011-08-18 13:04

first round of 2.0.3 changes closed

- Issue History
Date Modified Username Field Change
2010-11-02 14:58 harris New Issue
2010-11-02 14:58 harris Affects version => SVN
2010-11-02 15:00 harris Note Added: 0004733
2010-11-02 15:02 harris Relationship added parent of 0004607
2010-11-02 15:02 harris Relationship added parent of 0004608
2010-12-16 14:37 harris Assigned To => harris
2010-12-16 14:37 harris Status new => assigned
2010-12-16 14:37 harris Note Added: 0004812
2010-12-16 14:37 harris Assigned To harris => greg
2010-12-17 10:59 harris Note Added: 0004816
2011-01-07 14:25 harris Assigned To greg => harris
2011-01-07 14:26 harris Note Added: 0004871
2011-01-07 16:41 harris Note Added: 0004872
2011-01-07 17:02 harris Note Added: 0004873
2011-01-10 17:39 harris Note Added: 0004874
2011-01-11 12:25 harris Relationship added related to 0004685
2011-01-12 11:55 harris Note Added: 0004883
2011-01-12 12:37 harris Note Added: 0004886
2011-01-12 13:00 harris Note Added: 0004887
2011-01-12 13:00 harris Status assigned => resolved
2011-01-12 13:00 harris Fixed in Version => 2.0.3
2011-01-12 13:00 harris Resolution open => fixed
2011-08-18 13:04 greg Note Added: 0005175
2011-08-18 13:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker